Package csb :: Package bio :: Package fragments :: Class TorsionAnglePredictor

[frames] | no frames]

# Class TorsionAnglePredictor

source code

    object --+
             |
            TorsionAnglePredictor

Fragment-based phi/psi angles predictor.

Note: if `init` is False, the first call to `predictor.compute()` might take a long time. Subsequent calls will be very fast.

Instance Methods

__init__(self, target, threshold=1.5, extend=False, init=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

tuple of TorsionPredictionInfo

compute(self, rank) Extract torsion angles from all ClusterReps, covering residue `#rank`. | source code

TorsionPredictionInfo

compute_single(self, rank) Extract torsion angles from the ClusterRep at residue `#rank`. | source code

tuple of TorsionPredictionInfo

flat_torsion_map(self) Filter the current fragment map and create a new, completely flat, non-overlapping map built from centroids, assigned iteratively by decreasing confidence. | source code

tuple of TorsionAngles

get_angles(self, rank) Extract all torsion angles coming from all fragments, which had survived the filtering and cover residue `#rank`. | source code

init(self) Compute and cache all FragmentClusters. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| extend
| target
| threshold
Inherited from `object`: `__class__`

Method Details

### __init__(self, target, threshold=1.5, extend=False, init=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `target` (Target) - target protein, containing fragment assignments
  - `threshold` (float) - RMSD distance threshold for FragmentCluster-based filtering
  - `extend` (bool) - pick alternative, longer cluster reps, if possible
  - `init` - populate all FragmentClusters on instantiation. If False, this step will be performed on demand (the first time `predictor.compute()` is invoked)
Overrides: object.__init__
  (inherited documentation)

### compute(self, rank)

source code

Extract torsion angles from all ClusterReps, covering residue `#rank`.

Parameters:
  - `rank` (int) - target residue rank
Returns: tuple of TorsionPredictionInfo
  TorsionPredictionInfo instances, sorted by confidence

### compute_single(self, rank)

source code

Extract torsion angles from the ClusterRep at residue `#rank`.

Parameters:
  - `rank` (int) - target residue rank
Returns: TorsionPredictionInfo

### flat_torsion_map(self)

source code

Filter the current fragment map and create a new, completely flat, non-overlapping map built from centroids, assigned iteratively by decreasing confidence. Centroids with lower confidence which overlap with previously assigned centroids will be trimmed to fill existing gaps only.

Returns: tuple of TorsionPredictionInfo
  TorsionPredictionInfo instances, one for each target residue

### get_angles(self, rank)

source code

Extract all torsion angles coming from all fragments, which had survived the filtering and cover residue `#rank`.

Parameters:
  - `rank` (int) - target residue rank
Returns: tuple of TorsionAngles
  all TorsionAngles for a cluster at the specified residue

Property Details

### extend

Get Method:
  unreachable.extend(self)

### target

Get Method:
  unreachable.target(self)

### threshold

Get Method:
  unreachable.threshold(self)